Loading...
Searching...
No Matches
fac_univar.h File Reference
`#include "canonicalform.h"`
`#include "fac_util.h"`

Go to the source code of this file.

## Functions

bool | isSqrFree (const CanonicalForm &f)
CFFList | ZFactorizeUnivariate (const CanonicalForm &ff, bool issqrfree=false)
modpk | getZFacModulus ()

## Function Documentation

## getZFacModulus()

modpk getZFacModulus | ( |  | ) |

## isSqrFree()

bool isSqrFree | ( | const CanonicalForm & | f | ) |

## ZFactorizeUnivariate()

CFFList ZFactorizeUnivariate | ( | const CanonicalForm & | ff,
|  | bool | issqrfree = false )